services:
  dummy-service:
    build: .
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-dummy-service/api:latest
    command: uvicorn asgi:app --port 5000 --host 0.0.0.0
    environment:
      - SR_URL=${SR_URL:-http://${HOST}:5111}
      - CONFIGDB_URL_KEY=${CONFIGDB_URL_KEY:-demi/${STACK}/itk-demo-configdb/api/url}
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - "${HOST}:host-gateway"
    ports:
      - :5000
    labels:
      - ${DEMI_NAMESPACE}.api.host=${HOST}
      - ${DEMI_NAMESPACE}.api.category=Microservice
      - ${DEMI_NAMESPACE}.api.url_prefix=/api
      - ${DEMI_NAMESPACE}.api.url_postfix=/docs
      - ${DEMI_NAMESPACE}.api.health=/health
      - ${DEMI_NAMESPACE}.api.description=simple dummy service to test access the configdb
      - ${DEMI_NAMESPACE}.api.protocol=http
      - ${DEMI_NAMESPACE}.api.api_name=dummy-service

networks:
  default:
    name: deminet
    external: true